Overview | Modules | Class Hierarchy | Classes | Members

# Graph_test

## Classes

- class tlp::AcyclicTest
    Class for testing if the graph is acyclic. More...
- class tlp::BiconnectedTest
    class for testing if the graph is biconnected More...
- class tlp::ConnectedTest
    class for testing if the graph is connected More...
- class tlp::OuterPlanarTest
    class for testing the outerplanarity of a graph More...
- class tlp::PlanarityTest
    class for testing the planarity of a graph More...
- class tlp::SimpleTest
- class tlp::TreeTest
    Class for testing if the graph is a tree. More...
- class tlp::TriconnectedTest
    class for testing if a graph is triconnected More...

## Functions

- static void tlp::AcyclicTest::makeAcyclic (Graph *graph, std::vector< edge > &reversed, std::vector< tlp::SelfLoops > &selfLoops)
- static bool tlp::AcyclicTest::acyclicTest (const Graph *, std::vector< edge > *obstructionEdges=0)
- static void tlp::BiconnectedTest::makeBiconnected (Graph *graph, std::vector< edge > &addedEdges)
- static void tlp::ConnectedTest::makeConnected (Graph *graph, std::vector< edge > &addedEdges)
- static unsigned int tlp::ConnectedTest::numberOfConnectedComponents (Graph *graph)
- static void tlp::ConnectedTest::computeConnectedComponents (Graph *graph, std::vector< std::set< node > > &components)

## Variables

- node tlp::SelfLoops::n1
- node tlp::SelfLoops::n2
- edge tlp::SelfLoops::e1
- edge tlp::SelfLoops::e2
- edge tlp::SelfLoops::e3
- edge tlp::SelfLoops::old

## Function Documentation

static bool tlp::AcyclicTest::acyclicTest | ( | const Graph * | ,
|  | std::vector< edge > * | obstructionEdges = `0`
| ) | `[static, inherited]`

static void tlp::ConnectedTest::computeConnectedComponents | ( | Graph * | graph,
|  | std::vector< std::set< node > > & | components
| ) | `[static, inherited]`

| Compute the nodes for each connected component

static void tlp::AcyclicTest::makeAcyclic | ( | Graph * | graph,
|  | std::vector< edge > & | reversed,
|  | std::vector< tlp::SelfLoops > & | selfLoops
| ) | `[static, inherited]`

static void tlp::BiconnectedTest::makeBiconnected | ( | Graph * | graph,
|  | std::vector< edge > & | addedEdges
| ) | `[static, inherited]`

| If the graph is not biconnected, add edges in order to make the graph biconnected. The new edges are added in addedEdges.

static void tlp::ConnectedTest::makeConnected | ( | Graph * | graph,
|  | std::vector< edge > & | addedEdges
| ) | `[static, inherited]`

| If the graph is not connected, adds edges in order to make the graph connected. The new edges are added in addedEdges.

static unsigned int tlp::ConnectedTest::numberOfConnectedComponents | ( | Graph * | graph | ) | `[static, inherited]`

| Returns the number of connected components in the graph;

## Variable Documentation

edge tlp::SelfLoops::e1`[inherited]`

edge tlp::SelfLoops::e2`[inherited]`

edge tlp::SelfLoops::e3`[inherited]`

node tlp::SelfLoops::n1`[inherited]`

node tlp::SelfLoops::n2`[inherited]`

edge tlp::SelfLoops::old`[inherited]`

Tulip Software by LaBRI Visualization Team 2001 - 2010